curl --request GET \
--url https://staging.debt-wise.com/api/users/{id}/accounts/{account_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.debt-wise.com/api/users/{id}/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "JCP Morgan",
"type": "loan",
"subtype": "credit_card_loan",
"mask": "1234",
"status": "active",
"nickname": "Primary credit card",
"user_apr": 5.5,
"user_minimum_payment": 10000,
"effective_minimum_payment": 15000,
"effective_apr": 6.3,
"original_loan_amount": 15000000,
"balance": 150000,
"limit": 0,
"last_payment_amount": 20000,
"last_updated_at": "2024-06-01",
"last_payment_date": "2024-05-25",
"opened_at": "2024-05-25",
"closed_at": "2024-05-25",
"institution_name": "Chase",
"institution_logo": "<string>",
"next_payment_due_date": "2024-06-25",
"user_next_payment_date": "2024-06-25",
"first_time_payment": false,
"expected_payoff_date": "2052-01-01",
"payments_history": [
"0"
]
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Retrieve Account
Retrieve information about a single account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
We can compress a response with gzip.
"gzip deflate"
API API Version. See Versioning page for more details.
"2024-07-01"
Path Parameters
An userId.
1
An accountId.
1
Response
Returns information about an account
Account ID
1
Account's name
"JCP Morgan"
Account's type
depository, loan, investment, other "loan"
Account's sub type, which indicates which the account type
student_loan, credit_card_loan, auto_loan, personal_loan, mortgage_loan, medical_loan, other_loan, checking, savings "credit_card_loan"
Account's mask, or the last 4 digits of the account number
4"1234"
Account's status
active, disabled, closed "active"
User's nickname for account
"Primary credit card"
User's APR for account
5.5
User's minimum payment for account in cents
10000
Account minimum payment in cents
15000
Account's APR
6.3
Original loan amount in cents
15000000
Balance of account in cents
150000
Maximum limit of account in cents
0
Last payment amount for the loan in cents
20000
Last data sync for account date
"2024-06-01"
Last payment date
"2024-05-25"
Date when account was opened
"2024-05-25"
Date when account was closed
"2024-05-25"
Account's Institution name
"Chase"
Base 64 encoded image
Next payment date
"2024-06-25"
User's custom next payment date
"2024-06-25"
Indicates if next payment will be the first
false
Indicates account's close date if minimum payment will be paid off
"2052-01-01"
24 months payment history, where each string represents monthly payment status: "0" = The account is too new to rate, or has been approved, but not yet used; "1" = Payments have been made on-time; "2" = Two or fewer payments are past due; "3" = Three or fewer payments are past due; "4" = Four or fewer payments are past due; "5" = Either more than four payments are past due, or least one payment is more than 120 days past due; "6" = The account is with collections (Enhanced Trade Only); "7" = Included in Chapter 13; "8" = Repossession; "9" = Charge-off; "E" = The account has a zero balance or is current; "*" = Payment status was not available; Blank = Not reported;
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, , E, *